Name:		netsniff-ng
Version:	0.5.8
Release:	%mkrel 5
Summary:	A high performance network sniffer for packet inspection
License:	GPLv2
Group:		Networking/Other
URL:		http://netsniff-ng.org/
Source:		http://www.netsniff-ng.org/pub/netsniff-ng/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ncurses-devel
BuildRequires:	libnl3-devel
BuildRequires:	libz-devel
BuildRequires:	pcap-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	geoip-devel
BuildRequires:	netfilter_conntrack-devel

%description
netsniff-ng is a high performance linux network sniffer for packet inspection.
Basically, it is similar to tcpdump, but it doesn't need one syscall per
packet. Instead, it uses an memory mapped area within kernelspace for accessing
packets without copying them to userspace (zero-copy mechanism).

This tool is useful for debugging your network, measuring performance
throughput or creating network statistics of incoming packets on central
network nodes like routers or firewalls.

%prep
%setup -q 

%build
%setup_compile_flags

%configure2_5x

%make PREFIX=%{_prefix} CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" DISTRO=1 ETCDIR=%{_sysconfdir} STRIP=:

%install
%make_install PREFIX=%{_prefix} ETCDIR=%{_sysconfdir}

%files
%doc AUTHORS COPYING README REPORTING-BUGS
%{_sbindir}/netsniff-ng
%{_sbindir}/bpfc
%{_sbindir}/ifpps
%{_sbindir}/astraceroute
%{_sbindir}/trafgen
%{_mandir}/man8/*.8*
%dir %{_sysconfdir}/netsniff-ng
%config(noreplace) %{_sysconfdir}/netsniff-ng/*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.5.8-5.mga6
+ Revision: 956240
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.5.8-4.mga6
+ Revision: 893644
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.5.8-3.mga5
+ Revision: 746122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.8-2.mga5
+ Revision: 682859
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 pterjan <pterjan> 0.5.8-1.mga5
+ Revision: 640982
- FixBuildRequires
- 0.5.8

* Fri Oct 18 2013 umeabot <umeabot> 0.5.7-4.mga4
+ Revision: 508304
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 0.5.7-2.mga3
+ Revision: 307138
- use Networking/Other group, as other scanners

* Tue Jul 10 2012 guillomovitch <guillomovitch> 0.5.7-1.mga3
+ Revision: 269236
- new version

* Sun Jun 17 2012 kharec <kharec> 0.5.6-1.mga3
+ Revision: 261148
- Add BR's on cmake and ncurses-devel
- use pushd
- version 0.5.6
- use cmake for creating makefile (mandriva)
- fix %%prep
- fix %%doc and %%file list
- fix %%install section using makeinstall_std (mandriva)

* Wed Nov 02 2011 kharec <kharec> 0.5.5.0-1.mga2
+ Revision: 161525
- imported package netsniff-ng

